Bug 1411841 - Rebase/update OSP 10 from RDO Newton Trunk
Summary: Rebase/update OSP 10 from RDO Newton Trunk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron-lbaas
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z1
: 10.0 (Newton)
Assignee: Jon Schlueter
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 15:37 UTC by Jon Schlueter
Modified: 2017-02-06 12:54 UTC (History)
8 users (show)

Fixed In Version: openstack-neutron-lbaas-9.1.0-2.el7ost, openstack-ironic-6.2.2-3.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-01-26 16:42:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 304533 None None None 2017-01-12 19:29:41 UTC
Gerrithub.io 304534 None None None 2017-01-12 19:30:15 UTC
Launchpad 1633454 None None None 2017-01-11 21:56:31 UTC
Launchpad 1635355 None None None 2017-01-11 14:37:56 UTC
Launchpad 1638603 None None None 2017-01-11 20:00:40 UTC
Launchpad 1639982 None None None 2017-01-11 21:37:51 UTC
Launchpad 1640265 None None None 2017-01-11 14:37:35 UTC
Launchpad 1647800 None None None 2017-01-11 20:00:56 UTC
RDO 3998 None None None 2017-01-11 19:30:29 UTC
RDO 4206 None None None 2017-01-11 19:30:54 UTC
RDO 4207 None None None 2017-01-11 19:30:40 UTC
RDO 4208 None None None 2017-01-11 19:29:58 UTC
Red Hat Bugzilla 1413176 unspecified CLOSED Rebase os-collect-config to 5.1.0 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2017:0201 normal SHIPPED_LIVE openstack-neutron bug fix advisory 2017-01-26 21:40:54 UTC

Description Jon Schlueter 2017-01-10 15:37:16 UTC
As part of refresh We are updating OSP 10 components to RDO Newton Trunk as of 2017-01-02 https://trunk.rdoproject.org/centos7-newton/b5/a2/b5a2b9f79d15c2591ad0ce3a8342d9adb1005696_100eb833/

Comment 1 Jon Schlueter 2017-01-11 14:41:39 UTC
openstack-neutron-lbaas

Comment 2 Jon Schlueter 2017-01-11 20:06:21 UTC
openstack-keystone-10.0.0-4.el7ost

Comment 3 Jon Schlueter 2017-01-11 21:47:09 UTC
openstack-ironic-6.2.2-3.el7ost

Comment 4 Jon Schlueter 2017-01-11 21:59:56 UTC
openstack-manila-3.0.0-6.el7ost

Comment 5 Jon Schlueter 2017-01-13 20:08:14 UTC
moving os-collect-config-5.1.0-1.el7ost out to it's own bug

Comment 9 Assaf Muller 2017-01-19 13:19:55 UTC
Jon, would you be able to enhance your automation to fill in the doctext field as part of rebases? I think a changelog of all fixed RHBZs for example would be appropriate.

Comment 10 Alexander Stafeyev 2017-01-24 11:10:10 UTC
[root@controller-0 ~]# rpm -qa | grep openstack-neutron-lbaas
openstack-neutron-lbaas-9.1.0-2.el7ost.noarch
[root@controller-0 ~]# rpm -qa | grep openstack-ironic
openstack-ironic-api-6.2.2-3.el7ost.noarch
openstack-ironic-common-6.2.2-3.el7ost.noarch
openstack-ironic-conductor-6.2.2-3.el7ost.noarch
 

Ran all scenario tests- All passed 
FAILED (failures=1)
(.venv)[stack@undercloud-0 tempest]$ python -m testtools.run neutron_lbaas.tests.tempest.v2.scenario.test_healthmonitor_basic.TestHealthMonitorBasic.test_health_monitor_basic
Tests running...

Ran 1 test in 165.670s
OK
(.venv)[stack@undercloud-0 tempest]$ python -m testtools.run neutron_lbaas.tests.tempest.v2.scenario
Tests running...

Ran 0 tests in 0.001s
OK
(.venv)[stack@undercloud-0 tempest]$ python -m testtools.run neutron_lbaas.tests.tempest.v2.scenario.test_listener_basic.TestListenerBasic.test_listener_basic ;python -m testtools.run neutron_lbaas.tests.tempest.v2.scenario.test_load_balancer_basic.TestLoadBalancerBasic.test_load_balancer_basic ; python -m testtools.run neutron_lbaas.tests.tempest.v2.scenario.test_session_persistence.TestSessionPersistence.test_session_persistence ; python -m testtools.run neutron_lbaas.tests.tempest.v2.scenario.test_shared_pools.TestSharedPools.test_shared_pools
Tests running...

Ran 1 test in 95.897s
OK
Tests running...

Ran 1 test in 85.838s
OK
Tests running...

Ran 1 test in 109.145s
OK
Tests running...

Ran 1 test in 115.465s
OK

Comment 12 errata-xmlrpc 2017-01-26 16:42:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0201.html


Note You need to log in before you can comment on or make changes to this bug.